Bug 207824 - net/ocserv: Update to 0.10.12
Summary: net/ocserv: Update to 0.10.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-03-09 01:46 UTC by Carlos J. Puga Medina
Modified: 2016-03-17 10:34 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (cjpm)


Attachments
patch (952 bytes, patch)
2016-03-09 01:46 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-03-09 01:46:11 UTC
Created attachment 167885 [details]
patch

- Update to 0.10.12
- Update MAINTAINER to my @FreeBSD.org address.

Changelog:

Version 0.10.12 (released 2016-02-19)
- Fixed crash in the transfer of big chunks of data between ocserv
  and occtl. Reported by Liviu. (#29)
- Radius: send the Connect-Info attribute with the user agent string
  on accounting messages; backported by Liviu (#31).
- Disallow new connections after reaching the select fd limit.
- Allow the import of a chain of more than 2 certificates when using
  GnuTLS 3.4.x. Reported by Frank Rosquin.
Comment 1 Carlos J. Puga Medina freebsd_committer 2016-03-09 01:49:00 UTC
% portlint -ac
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
0 fatal errors and 1 warning found.
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-03-15 09:46:48 UTC
Testing@work via poudriere(8)
Comment 3 Carlos J. Puga Medina freebsd_committer 2016-03-16 09:09:05 UTC
Testbuilds are fine.

poudriere testport -j 93x32 -o net/ocserv [OK]
poudriere testport -j 93X64 -o net/ocserv [OK]
poudriere testport -j 10x32 -o net/ocserv [OK]
Comment 4 Jason Unovitch freebsd_committer 2016-03-17 02:55:03 UTC
Approved.
Comment 5 commit-hook freebsd_committer 2016-03-17 10:32:42 UTC
A commit references this bug:

Author: cpm
Date: Thu Mar 17 10:32:06 UTC 2016
New revision: 411268
URL: https://svnweb.freebsd.org/changeset/ports/411268

Log:
  - Update to 0.10.12
  - Update MAINTAINER to my @FreeBSD.org address

  PR:		207824
  Approved by:	junovitch (mentor)

Changes:
  head/net/ocserv/Makefile
  head/net/ocserv/distinfo
Comment 6 Carlos J. Puga Medina freebsd_committer 2016-03-17 10:34:04 UTC
Committed, thanks!